@import "../../../clientlib.site/scss/media-queries";

.content {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding-top: 5rem;
  .sidebar {
    flex: 0 0 20rem;
    padding: 0 2rem 2rem;
    position: sticky;
    select {
      width: 100%;
      margin-bottom: 2rem;
      border-radius: 0.3rem;
      background: white;
      padding: 1rem;
      box-shadow: var(--box-shadow);
      border: 0;
      outline: 0;
    }
    .categories {
      padding: 2rem;
      background: white;
      border-radius: 0.3rem;
      box-shadow: var(--box-shadow);
      li {
        cursor: pointer;
        margin-bottom: 1rem;
        transition: all 0.2s;
        &:hover {
          transform: scale(1.1);
          color: var(--primary);
          strong {
            color: var(--primary);
          }
        }
      }
      .active {
        color: var(--primary);
        font-weight: 700;
        strong {
          color: var(--primary);
        }
      }
    }
  }
  .articles-container {
    max-width: 80rem;
    flex: 1;
    width: 100%;
    margin-bottom: 10rem;
    .article {
      background: white;
      padding: 0 5rem;
      @include xs {
        padding: 0 2rem;
      }
      border-radius: 0.3rem;
      display: flex;
      margin-bottom: 5rem;
      flex-direction: column;
      align-items: center;
      box-shadow: var(--box-shadow);
      img {
        height: 6rem;
        width: 6rem;
        border-radius: 50%;
        margin-top: -3rem;
        border: 2px solid var(--divider);
      }
      h2 {
        margin-top: 2rem;
        margin-bottom: 0;
      }
      .article-author {
        color: var(--hint);
        margin-bottom: 3rem;
      }
      .article-content {
        max-width: 55rem;
        white-space: pre-line;
      }
      .article-actions {
        width: 100%;
        display: flex;
        justify-content: flex-end;
        padding: 2rem 0;
        margin-top: 2rem;
        border-top: 1px solid var(--divider);
        .btn {
          margin-left: 1rem;
        }
      }
    }
  }
}
